Autor Zpráva
ondrakrajcik
Profil *
Chtěl bych se zeptat na takový začátečnický dotaz.

V programu DataModeler (vím, že to není uplně profi nástroj, ale učili sme se s ním ve škole) jsem si namodeloval databázi.

Vygeneroval jsem sql skript pro vytvoření databáze a na endoře v phpMyAdmin jsem klikl na záložku SQL, zde lze vložit sql skript a nechat ho se vykonat. Vložil jsem tam vygenerovaný skript z dataModeleru. Vyskočila chyba a ukazovala hned na asi 3tí řádek.

#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'VARCHAR2 (25) NOT NULL ,
password VARCHAR2 (32) NOT NULL ,
role ' at line 10


Skript jsem vygeneroval pro Oracle Database 11g a problém je asi v tom, že endora používá jinou verzi, ale nikde jsem nenašel kterou verzi používá. V datamodeleru jsem vygeneroval i skripty pro všechny ostatní verze ale vždy to skončilo chybou.


Máte s tím někdo zkušenosti?
Joker
Profil
ondrakrajcik:
Skript jsem vygeneroval pro Oracle Database 11g a problém je asi v tom, že endora používá jinou verzi
Ne jinou verzi, ale jinou databázi. Konkrétně MySQL.
ondrakrajcik
Profil *
Aha, díky. Do teď jsem si myslql že databáze od oracle = MySQL

Znáte nějaký kvalitní modelovací program na databáze? Hlavně bych tam uvítal co nejvíce možností databází, pro které lze vygenerovat skript.

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: